Gradle Compatibility

When you are going to create your android flutter app, you must notice that your Gradle version is compatible with your android Gradle Plugin.

You can find the Gradle plugin in the dependencies as a classpath in the android folder in android studio.

You can find the Gradle version in this path: android<gradle<wrapper<gradle-wrapper.properties.

Here is the android Gradle plugin and Gradle version compatibility table:

Gradle version and Gradle plugin compatibility table

Gradle is an open-source build automation tool that is designed to build different types of software.

When your Gradle version is not compatible with Gradle plugin you will face errors such as:

"plugin with id 'com.android.application' not found".

I faced this error when I was installing firestore in my app😥.

Hope this post helps you🙆‍♀️ and if you find this article useful you can share the link of this page with your friends.

--

--

--

Data scientist in pharmaceutical, medical industries | Chemist

Love podcasts or audiobooks? Learn on the go with our new app.

Recommended from Medium

Android — RecyclerView Swipe to Edit/Delete

Getting Started With MongoDB Realm and Implementing Google Authentication to your Android App

[Android] : Android User Interface Concepts

Android Networking in 2019 — Retrofit with Kotlin’s Coroutines

Network Data Transfer Using Volley Library— Android

Publish an Android library to GitHub Packages

Great Way to Use Android Gradle with Plugins

Qur’an القرآن الكريم Tilawa App on Android

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store
Melanee

Melanee

Data scientist in pharmaceutical, medical industries | Chemist

More from Medium

Kaiser Foundation for Social Development Softskills Training 2021

What is Web3? This is all you need to know for the moment

Meet Our Team

Introducing async work in a product company